#include <p18cxxx.h>
#include "bitset_utils.h"
#include "config-18f2550.h"

/*******************

* vLedDrv_init			
  
 *******************/
void vLedDrv_init(void)
{
  clrBit(TRISC0,TRISC);
  clrBit(TRISC1,TRISC);
}

/*******************

* vLed_On				
  
 *******************/
void vLedDrv_LedOn(void)
{
	setBit(LATC0,LATC);
	clrBit(LATC1,LATC);   
}

/*******************

* vLed_Off				
  
 *******************/
void vLedDrv_LedOff(void)
{
	clrBit(LATC0,LATC);
	setBit(LATC1,LATC);  
}

/*******************

* delay				
  
 *******************/
void dly(void)
{
  volatile int i,j;
	for(j=30;j>0;j--){
	  i=30000;
	  while(i){ i--;}
	}
}

/*******************

* main				
  
 *******************/
/*
	RC0RC1[q̂kdc݂ɓ_ł邾
*/


void main(void)
{
  vLedDrv_init();
  while(1){
	vLedDrv_LedOn();
	dly();
	vLedDrv_LedOff();
	dly();
  }
}
